/*
*  PopAccDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef PopAccDlgsH
#define PopAccDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
//---------------------------------------------------------------------------
bool __fastcall OpenPopAccountsDlg(TForm *Owner, TStrings *accts);

class TPopAcctDlg2 : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
        TButton *NewBtn;
        TButton *EditBtn;
        TButton *DeleteBtn;
        TPanel *Panel2;
        THeaderControl *HeaderControl1;
        TCheckBox *GetEveryLast;
        TButton *OkBtn;
        TButton *CancelBtn;
        TButton *HelpBtn;
        TBitBtn *GetBtn;
        TListBox *Accts;
        TPopupMenu *PopupMenu;
        TMenuItem *PopNewItem;
        TMenuItem *PopOpenItem;
        TMenuItem *PopDeleteItem;
        TMenuItem *N2;
        TMenuItem *PopGetMailItem;
        TMenuItem *PopGetThisItem;
        TMenuItem *N1;
        TMenuItem *PopToggleItem;
        TComboBox *ProxyBox;
        TLabel *Label1;
        TSpeedButton *AcctUp;
        TSpeedButton *AcctDn;
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall NewBtnClick(TObject *Sender);
        void __fastcall EditBtnClick(TObject *Sender);
        void __fastcall DeleteBtnClick(TObject *Sender);
        void __fastcall GetBtnClick(TObject *Sender);
        void __fastcall ProxyBtnClick(TObject *Sender);
        void __fastcall AcctsDrawItem(TWinControl *Control, int Index,
           TRect &Rect, TOwnerDrawState State);
        void __fastcall AcctsMouseDown(TObject *Sender, TMouseButton Button,
           TShiftState Shift, int X, int Y);
        void __fastcall AcctsClick(TObject *Sender);
        void __fastcall PopGetThisItemClick(TObject *Sender);
        void __fastcall PopupMenuPopup(TObject *Sender);
        void __fastcall PopToggleItemClick(TObject *Sender);
        void __fastcall ProxyBoxDrawItem(TWinControl *Control, int Index,
        TRect &Rect, TOwnerDrawState State);
        void __fastcall ProxyBoxChange(TObject *Sender);
        void __fastcall AcctUpClick(TObject *Sender);
        void __fastcall AcctDnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        bool Modified;
        TPoint LastMouse;
        __fastcall TPopAcctDlg2(TComponent* Owner);
        __fastcall virtual ~TPopAcctDlg2();
        void __fastcall DrawCheckBox(TCanvas *Canvas, TRect &Rect, bool Selected);
        void __fastcall DrawCheck(TCanvas *Canvas, TRect &Rect, bool selected);
        void __fastcall Set(int Index, const AnsiString &token, const AnsiString &value);
        AnsiString __fastcall Opposite(int Index, const AnsiString &token);
        AnsiString __fastcall Get(int Index, const AnsiString &token);
        AnsiString __fastcall Account(int Index);
        bool __fastcall Checked(int Index);
        int  __fastcall CheckCount();

};
//---------------------------------------------------------------------------
extern TPopAcctDlg2 *PopAcctDlg2;
//---------------------------------------------------------------------------
#endif
