/*
*  POPProxyDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef POPProxyDlgsH
#define POPProxyDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall OpenPOPProxyDlg(TForm *Owner, TStrings *Params);

class TProxyDlg : public TForm
{
__published:	// IDE-managed Components
        TEdit *Server;
        TEdit *Port;
        TEdit *UserID;
        TEdit *Password;
        TComboBox *SocksBox;
        TBevel *Bevel1;
        TButton *OkBtn;
        TButton *CancelBtn;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
private:	// User declarations
public:		// User declarations
        AnsiString SocksBoxOrg;
        __fastcall TProxyDlg(TComponent* Owner);
        bool __fastcall Modified();
};
//---------------------------------------------------------------------------
extern TProxyDlg *ProxyDlg;
//---------------------------------------------------------------------------
#endif
