/*
*  dskcrunchdlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef DskCrunchDlgsH
#define DskCrunchDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
bool __fastcall CheckDiskSpace(TForm *Owner, AnsiString diskpath, unsigned __int64 datlength);
bool __fastcall ShowDiskSpaceError(TForm *Owner, AnsiString diskpath, int errnum);
unsigned __int64 __fastcall DiskFreeSpace(AnsiString diskpath);
AnsiString __fastcall CommaUI64Number(unsigned __int64 number);

class TDskCrunchDlg : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TButton *RetryBtn;
	TButton *CancelBtn;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
    AnsiString diskpath;
    unsigned __int64 dskspace,datspace;
	__fastcall TDskCrunchDlg(TComponent* Owner);
    void __fastcall SetDlgText();
};
//---------------------------------------------------------------------------
extern TDskCrunchDlg *DskCrunchDlg;
//---------------------------------------------------------------------------
#endif
